Title1 'Emax   2003-1-18   Y.Takahashi ' ;

data d01 ;
  input  x ln_x y ;
  datalines ;
  0.01    -2.00      1
  0.0316  -1.50      3
  0.1     -1.00      5
  0.316   -0.50     23
  1        0.00     66
  3.16     0.50    113
 10        1.00	   158
 31.6      1.50    171
100        2.00    171
316        2.50    165
 ;
proc print data=d01 ;
run ;

Title2 '<<< Emax, gamma >>>' ;
proc nlin  data=d01 listall method=gauss ;
    parms Emax=170 gamma=1  EC50= 5 ;
    model y = Emax*x**gamma / (x**gamma + EC50**gamma) ;
run ; 

Title2 '<<< logistic, EC50 >>>' ;
proc nlin  data=d01 listall method=gauss;
    parms Emax=170 gamma=1  EC50= 5 ;
    model y = Emax / (1 + exp(gamma*(log(EC50) - log(x)))) ;
run ; 

Title2 '<<< logistic, EC10 >>>' ;
proc nlin  data=d01 list method=gauss;
    parms Emax=170 gamma=1  EC10= 1 ;
    model y = Emax / (1 + exp(gamma*(log(EC10) - log(x)) + 2.197 )) ;
run ; 

Title2 '<<< logistic, EC90 >>>' ;
proc nlin  data=d01 list method=gauss;
    parms Emax=170 gamma=1  EC90= 10 ;
    model y = Emax / (1 + exp(gamma*(log(EC90) - log(x)) - 2.197 )) ;
run ; 

